/******************************************************************************
 GMHelpPrefObject.h

	Copyright © 1999 by Glenn W. Bach. All rights reserved.

 ******************************************************************************/

#ifndef _H_GMHelpPrefObject
#define _H_GMHelpPrefObject

#include <JPrefObject.h>	

class GMHelpPrefObject : public JPrefObject
{
public:

	GMHelpPrefObject(JPrefsManager* prefsMgr, const JPrefID& id);

	virtual ~GMHelpPrefObject();

protected:

	virtual void	ReadPrefs(istream& input);
	virtual void	WritePrefs(ostream& output) const;


private:

	// not allowed

	GMHelpPrefObject(const GMHelpPrefObject& source);
	const GMHelpPrefObject& operator=(const GMHelpPrefObject& source);
};

#endif
